{% extends 'base.html' %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}

    {% if form.errors %}
        <div class="alert alert-danger" role="alert">
            ERROR AL GUARDAR
        </div>
    {% endif %}
    <div class="container mb-5">
        <div class="py-5 text-center ">
            <h1 class="text-light"> Editar Rol </h1>
        </div>

        <div class="bg-light border rounded border-dark p-3">

            <form method="POST">
                <div style="display: none;">
                    {{ formEditRolProyecto.idProyecto }}
                </div>
                <div class="m-3 ">
                    <label class="form-label">Nombre</label>
                    {{ formEditRolProyecto.nombre }}
                </div>
                <div class="m-3 ">
                    <label class="form-label">Descripcion</label>
                    {{ formEditRolProyecto.descripcion }}
                </div>
                <div class="py-5 text-center ">
                    <h4 class="text-dark"> Permisos: </h4>
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Agregar User Story</label>
                    {{ formEditRolProyecto.agregarUserStory }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar User Story</label>
                    {{ formEditRolProyecto.eliminarUserStory }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar User Story</label>
                    {{ formEditRolProyecto.modificarUserStory }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Agregar Miembro</label>
                    {{ formEditRolProyecto.agregarMiembro }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Miembro</label>
                    {{ formEditRolProyecto.modificarMiembro }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar Miembro</label>
                    {{ formEditRolProyecto.eliminarMiembro }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Crear Rol</label>
                    {{ formEditRolProyecto.crearRol }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Rol</label>
                    {{ formEditRolProyecto.modificarRol }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Eliminar Rol</label>
                    {{ formEditRolProyecto.eliminarRol }}
                </div>

                <!-- Nuevos -->
                <div class="m-3 ">
                    <label class="form-check-label">Crear Sprint</label>
                    {{ formEditRolProyecto.crearSprint }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Empezar Sprint</label>
                    {{ formEditRolProyecto.empezarSprint }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Finalizar Sprint</label>
                    {{ formEditRolProyecto.finalizarSprint }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Agregar Sprint Backlog</label>
                    {{ formEditRolProyecto.agregarSprintBacklog }}
                </div>
                <div class="m-3 ">
                    <label class="form-check-label">Modificar Sprint Backlog</label>
                    {{ formEditRolProyecto.modificarSprintBacklog }}
                </div>


                <button type="submit" class="btn btn-primary">Guardar</button>
                <a class="btn btn-secondary" href="{% url 'Proyecto:RolesProyecto' idProyecto %}" role="button">Cancelar</a>
                {% csrf_token %}
            </form>
        </div>
    </div>
{% endblock %}